import { LarkEncryptedMessage, LarkReceivedMessage } from './lark';
export declare const OpenAIMessageDB: import("aircode/lib/src/db/table").Table;
export interface FunctionContext {
    log(...args: any[]): void;
    status(code: number): void;
    set(key: string, value: string): void;
    readonly method: string;
}
export declare type FunctionParams<T extends object = object> = T;
export interface TimerEvent {
    eventType: string;
    name: string;
}
export declare function defineFunction<T extends object = object, U = unknown>(fn: (params: FunctionParams<T>, context: FunctionContext) => Promise<U>): (params: FunctionParams<T>, context: FunctionContext) => Promise<U>;
export interface AircodeOptions {
    debug: boolean;
}
export declare function getAircodeHandler(options: AircodeOptions): (params: LarkEncryptedMessage & LarkReceivedMessage, context: FunctionContext) => Promise<unknown>;
//# sourceMappingURL=aircode.d.ts.map