export function throttle(cb, delay) {
    let wait = false;
    let storedArgs = null;
    function checkStoredArgs() {
        if (storedArgs == null) {
            wait = false;
        }
        else {
            cb(...storedArgs);
            storedArgs = null;
            setTimeout(checkStoredArgs, delay);
        }
    }
    return (...args) => {
        if (wait) {
            storedArgs = args;
            return;
        }
        cb(...args);
        wait = true;
        setTimeout(checkStoredArgs, delay);
    };
}
//# sourceMappingURL=utils.js.map